import {
  MiddlewareConsumer,
  Module,
  NestModule,
  RequestMethod,
} from '@nestjs/common';
import { FlashMiddleware } from 'src/middleware/flash.middleware';
import { ValidateCSRFMiddleware } from 'src/middleware/validate-csrf.middleware';
import { UserModule } from 'src/modules/objects/user/user.module';
import { RegisterController } from './register.controller';

@Module({
  imports: [UserModule],
  controllers: [RegisterController],
})
export class RegisterModule implements NestModule {
  configure(consumer: MiddlewareConsumer) {
    consumer
      .apply(ValidateCSRFMiddleware)
      .forRoutes({ path: 'register*', method: RequestMethod.POST });

    consumer.apply(FlashMiddleware).forRoutes('register*');
  }
}
