import { MiddlewareConsumer, Module, NestModule } from '@nestjs/common';
import { AuthMiddleware } from 'src/middleware/auth.middleware';
import { FlashMiddleware } from 'src/middleware/flash.middleware';
import { UserTokenModule } from 'src/modules/objects/user-token/user-token.module';
import { UserModule } from 'src/modules/objects/user/user.module';
import { TwoFactorController } from './two-factor.controller';

@Module({
  imports: [UserModule, UserTokenModule],
  controllers: [TwoFactorController],
})
export class TwoFactorModule implements NestModule {
  configure(consumer: MiddlewareConsumer) {
    consumer.apply(AuthMiddleware).forRoutes('account/two-factor/activate');
    consumer.apply(FlashMiddleware).forRoutes('account/two-factor/activate');
  }
}
