import { join } from 'path';
import { readFile } from 'fs/promises';
import { Provider } from '@nestjs/common';

export const jwtProviders: Provider<any>[] = [
  {
    provide: 'PRIVATE_PATH',
    useValue: join(__dirname, '..', '..', '..', 'private'),
  },
  {
    provide: 'JWT_PRIVATE_KEY',
    useFactory: async (path: string) => readFile(join(path, 'jwt.private.pem')),
    inject: ['PRIVATE_PATH'],
  },
  {
    provide: 'JWT_PUBLIC_KEY',
    useFactory: async (path: string) => readFile(join(path, 'jwt.public.pem')),
    inject: ['PRIVATE_PATH'],
  },
];
