import { FactoryProvider } from '@nestjs/common';
import { ConfigurationService } from 'src/modules/config/config.service';
import { DataSource, DataSourceOptions } from 'typeorm';

export const databaseProviders: FactoryProvider<Promise<DataSource>>[] = [
  {
    provide: 'DATA_SOURCE',
    useFactory: async (config: ConfigurationService) => {
      const dataSource = new DataSource({
        ...config.get<DataSourceOptions>('database'),
      });

      return dataSource.initialize();
    },
    inject: [ConfigurationService],
  },
];
