import { Provider } from '@nestjs/common';
import { join } from 'path';
import { DataSource } from 'typeorm';

import { Document } from './document.entity';

export const documentProviders: Provider<any>[] = [
  {
    provide: 'DOCUMENT_CACHE',
    useValue: join(process.cwd(), '.cache'),
  },
  {
    provide: 'DOCUMENT_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(Document),
    inject: ['DATA_SOURCE'],
  },
];
