import {
  Column,
  CreateDateColumn,
  Entity,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { User } from '../user/user.entity';
import { OAuth2Client } from './oauth2-client.entity';

@Entity()
export class OAuth2ClientAuthorization {
  @PrimaryGeneratedColumn()
  public id: number;

  @Column({ type: 'text', nullable: true })
  public scope: string;

  @Column({ type: 'timestamp' })
  public expires_at: Date;

  @CreateDateColumn({
    type: 'timestamp',
    default: () => 'CURRENT_TIMESTAMP(6)',
  })
  public created_at: Date;

  @ManyToOne(() => OAuth2Client)
  public client: OAuth2Client;

  @ManyToOne(() => User)
  public user: User;
}
