import { Provider } from '@nestjs/common';
import { DataSource } from 'typeorm';
import { OAuth2ClientAuthorization } from './oauth2-client-authorization.entity';
import { OAuth2ClientURL } from './oauth2-client-url.entity';
import { OAuth2Client } from './oauth2-client.entity';

export const clientProviders: Provider<any>[] = [
  {
    provide: 'CLIENT_REPOSITORY',
    useFactory: (dataSource: DataSource) =>
      dataSource.getRepository(OAuth2Client),
    inject: ['DATA_SOURCE'],
  },
  {
    provide: 'CLIENT_URL_REPOSITORY',
    useFactory: (dataSource: DataSource) =>
      dataSource.getRepository(OAuth2ClientURL),
    inject: ['DATA_SOURCE'],
  },
  {
    provide: 'CLIENT_AUTHORIZATION_REPOSITORY',
    useFactory: (dataSource: DataSource) =>
      dataSource.getRepository(OAuth2ClientAuthorization),
    inject: ['DATA_SOURCE'],
  },
];
