import { Module } from '@nestjs/common';
import { DatabaseModule } from '../database/database.module';
import { userTokenProviders } from './user-token.providers';
import { UserTokenService } from './user-token.service';
import { UserTOTPService } from './user-totp-token.service';

@Module({
  imports: [DatabaseModule],
  providers: [...userTokenProviders, UserTokenService, UserTOTPService],
  exports: [UserTokenService, UserTOTPService],
})
export class UserTokenModule {}
