import { EmailTemplate } from 'src/modules/objects/email/email.template';

export const ForgotPasswordEmail = (
  username: string,
  url: string,
): EmailTemplate => ({
  text: `
Icy Network

Hello, ${username}! You have requested a password reset on Icy Network.

In order to change your password, please click on the following link.

Change your password: ${url}

If you did not request a password change on Icy Network, you can safely ignore this email.
  `,
  html: /* html */ `
<h1>Icy Network</h1>

<p><strong>Hello, ${username}! You have requested a password reset on Icy Network.</strong></p>

<p>In order to change your password, please click on the following link.</p>

<p>Change your password: <a href="${url}" target="_blank">${url}</a></p>

<p>If you did not request a password change on Icy Network, you can safely ignore this email.</p>
  `,
});
