import { Module } from '@nestjs/common';
import { DatabaseModule } from '../database/database.module';
import { EmailModule } from '../email/email.module';
import { PrivilegeModule } from '../privilege/privilege.module';
import { UploadModule } from '../upload/upload.module';
import { UserTokenModule } from '../user-token/user-token.module';
import { userProviders } from './user.providers';
import { UserService } from './user.service';

@Module({
  imports: [
    DatabaseModule,
    EmailModule,
    UserTokenModule,
    UploadModule,
    PrivilegeModule,
  ],
  providers: [...userProviders, UserService],
  exports: [UserService],
})
export class UserModule {}
