import { OAuth2 } from '@icynet/oauth2-provider';
import { User } from 'src/modules/user/user.entity';

declare global {
  namespace Express {
    export interface Request {
      oauth2: OAuth2;
      user: User;
      csrfToken: () => string;
      flash: (type: string, ...msg: any[]) => Record<string, any>;
    }
  }
}

declare module 'express-session' {
  interface SessionData {
    user?: string;
    challenge?: string;
    flash?: Record<string, any>;
  }
}
